
Figure - Bug #118290
【IOVDEV-30162】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【设置】活动主题屏保模式下，
左右滑动出现短暂息屏，然后再次亮起
2023-05-26 20:35 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0082.C101����【副屏版本号】：01.00.0100.c103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-29

Test Type: ST Root cause: 编码问题

Description

环境信息】EE环境

【问题出现时间】：20230524 14：51

【前提条件】：副屏上电，中控已连接

【操作步骤】

1.副屏设置活动主题屏保

2.进入屏保模式

3.向左右滑动手势

【实际结果】

1.屏保有短暂息屏状态

【期望结果】

1.无间隔跳转到下一张屏保图片

【备注】：

【当前开机次数】：118

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-27 15:34 - CD APP-王营

- Status changed from New to ASSIGNED

【分析】

主题屏保对手势进行了监听，水平滑动会切换屏保图片，在图片没有加载出来的情况下会出现黑色背景，需要禁用水平滑动手势

mGestureDetector = new GestureDetector(context,

                new GestureDetector.SimpleOnGestureListener() {
                    @Override

                    public boolean onFling(MotionEvent e1, MotionEvent e2, float vX, float vY) {

                        log("fling with " + vX);

                        flip(Math.signum(vX));

                        return true;

                    }

                });

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/203054

#2 - 2023-05-27 18:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203054 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Fix theme screen saver gesture issueTC-RID: 0301-0300602IssueID: TS-R-BUG-118290Change-Id:

I08f1aa3ff690c091660e8b30224417a04a02039f

#3 - 2023-05-29 09:41 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-29

- Root cause set to 编码问题

#4 - 2023-06-02 17:38 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

已同步

#5 - 2023-06-02 17:38 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-30162.zip 19.2 MB 2023-05-26 CDTS_Test 吴诗雨
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/203054

